iTunes

Opening the iTunes Store.If iTunes doesn't open, click the iTunes application icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To download the free app Ploytec PL2 πλ² Editor by Ploytec GmbH, get iTunes now.

Already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download

Ploytec PL2 πλ² Editor

By Ploytec GmbH

This app is only available on the App Store for iOS devices.

Description

The Ploytec PL2 πλ² editor allows you to create sounds for the Ploytec PL2 πλ² hardware synthesizer, load and save those, as well as storing sounds into the PL2 itself.

It works only in conjunction with a Ploytec PL2 πλ² or Ploytec PL2 πλ² Leukos.

iPad Screenshot

iPad Screenshot 1

Customer Reviews

Appreciate the iPad editor, just needs a little more tweaking

I recent bought a Ploytec PL2 (black) synth and was pleasantly surprised to learn that there was an iPad editor for it. As it turns out, the PL2 basically doesn't function unless you have some kind of editor hooked up, or you wrap your head around a complex set of MIDI CC assignments.

The PL2 editor does work. I've actually used it as a bridge to allow for external MIDI devices that don't have MIDI power to control the PL2, via the app.

However, the interface is a bit confusing and the app runs slowly. The number one thing I would like to see handled better by the editors is preset management. The PL2 actually has storage for quite a few factory and user presets (64? 127?), but they are identified only by number and changing between them is clunky. But without the app, I'm not even sure how'd I'd get the PL2 to function!

Ploytec PL2 πλ² Editor
View in iTunes
  • Free
  • Category: Music
  • Released:
  • Version: 1.0.0
  • Size: 0.6 MB
  • Language: English
  • Seller:

Compatibility: Requires iOS 6.0 or later. Compatible with iPad.

Customer Ratings

This application hasn’t received enough ratings to display a summary.